Upgrade Version 3.6.5 auf 3.9.4 kein Hinweis

  • Hallo

    Ich habe da eine Seite, bei der wurde nie ein update gemacht seit 3.6.5.
    Nun sind da auch keine Hinweise auf Update und Updatemöglichkeit. Also geht das Aktualisieren so nicht.

    Oder liegt das an der Fehlermeldung >

    Parameter must be an array or an object that implements Countable in /home/httpd/vhosts/WEBSEITE/httpdocs/libraries/cms/application/cms.php on line 464

    php hab ich jetzt schon auf 7.4 umgestellt, daran liegt es nicht.


    Wie mache ich jetzt das Update von 3.6.5 auf die aktuellste Version? Habe kein entsprechendes Paket gefunden, um das manuell zu bewerkstelligen.


    Wer kann helfen?

  • Ich würde vor dem Update erstmal ein Backup (EasyJoomlaBackup oder Akeeba) anfertigen!!!


    Vielleicht auch die PHP-Version vor dem Update auf 7.2/7.3 zurückstellen.


    Dann unter Komponenten-Joomla-Aktualisierung mal auf 'Aktualisierung prüfen' klicken:



    Caches leeren.

  • 1.Hast du in der Aktualisierungskomponente mal auf "Auf Aktualisierungen prüfen" geklickt?

    2. Wird unter "Erweiterungen" -> "Verwalten" -> "Überprüfen" etwas angezeigt?

    3. Achte unbedingt auch auf Drittanbieter-Erweiterungen. Einige sollten vor dem Joomla-Update aktualisiert werden.

    4. Vorheriges Backup nicht vergessen!


    EDIT: Jetzt hast du die Antworten doppelt!


    p.s. Bin dann mal weg bis morgen! ;)

  • Hallo,

    Oder liegt das an der Fehlermeldung >

    Parameter must be an array or an object that implements Countable in /home/httpd/vhosts/WEBSEITE/httpdocs/libraries/cms/application/cms.php on line 464

    Nicht nur. PHP Version runter schrauben.


    Obige Datei gibt es seit Joomla 3.8.0 nicht mehr: https://github.com/joomla/joomla-cms/issues/23588


    Und:


    Liebe Grüße

    Christine


    Edit: Muss wohl vom Mittagsschläfchen früher aufstehen :-)

  • Hmmm, erstmals danke für die vielen Tipps.

    Ich habe jetzt runter mit php auf 7.2 und dann 7.3 versucht.

    Erhalte jetzt bei Komponente aktualisieren 500er, wenn ich auf aktualisieren klicke.

    Elwood > Die Meldung kommt in FE und BE


    Bin gerade sowieso am Überlegen, ob ich die Seite nicht neu ansetzen soll. Oder vll dann etwas warten und auf 4.0.

  • Bin gerade sowieso am Überlegen, ob ich die Seite nicht neu ansetzen soll. Oder vll dann etwas warten und auf 4.0.

    Auf Joomla 4 solltest du nicht warten, da die Seite sicherheitstechnisch stark veraltet ist.

    3.6.5 ist alt, sollte aber dennoch leicht auf 3.9.25 zu aktualisieren sein.

    Das Aufsetzen der aktuellen J-Installation 3.9.25 und das Übernehmen der Inhalte wäre auch eine gute Löung.


    Von 3.9 auf 3.10 auf 4.0 wird einfach werden, wenn es soweit ist.


    Das Problem sind höchstens die Anbieter von Erweiterungen. Diese sind aber schon fleißig am anpassen.

  • Könntest auch mal das durchführen:


  • Ich habe jetzt im Backend durch obige Anleitung den Fehler weg.

    Bei Erweiterungen J-Aktualisierung gibt es jetzt eine Unmenge von Fehlern. Ich bin der Meinung, dass trotz eurer guten Hilfestellungen das nicht mehr hinkommt.

    Aber egal : Werde die Seite neu ansetzen, ist nicht so viel Inhalt > kein Problem. Ich habe wegen corona mehr Zeit als sonst :-) Glas halbvoll.


    Ach ja, wenn jemand Interesse hat, mich bei diversen Hilfestellungen direkt zu unterstützen, bitte einfach PN > mit ungefährem Preis pro Stunde. Wäre schön, jemanden zur Einarbeitung, Problembehebung für etwas längere Zeit zu finden. Manchmal ist einfach das Eruiren und Beschreiben von Errors sehr umständlich, hinterlässt viele neue Fragen. Also > Wer sich mit Joomla und Erweiterungen gut auskennt und auch bereit ist, es mir manchmal Schritt für Schritt zu erklären > unverbindliche PN. Ideal auch, wenn sich wer mit virtuemart und mit joomlashine auskennen würde,von letzterem ich eine Komplett Lizenz auf Live Time.


    Also nochmals vielen Dank an Alle.

  • Ach ja, wenn jemand Interesse hat, mich bei diversen Hilfestellungen direkt zu unterstützen, bitte einfach PN > mit ungefährem Preis pro Stunde. Wäre schön, jemanden zur Einarbeitung, Problembehebung für etwas längere Zeit zu finden. Manchmal ist einfach das Eruiren und Beschreiben von Errors sehr umständlich, hinterlässt viele neue Fragen. Also > Wer sich mit Joomla und Erweiterungen gut auskennt und auch bereit ist, es mir manchmal Schritt für Schritt zu erklären > unverbindliche PN. Ideal auch, wenn sich wer mit virtuemart und mit joomlashine auskennen würde,von letzterem ich eine Komplett Lizenz auf Live Time

    Würde ich wieder löschen.


    Verstößt gegen die Forenregeln!